GpgFrontend::FileOperator Class Reference

provides file operations More...

`#include <FileOperator.h>`

Collaboration diagram for GpgFrontend::FileOperator:

## Static Public Member Functions

static bool | ReadFileStd (const std::filesystem::path &file_name, std::string &data)
| read file content using std struct More...
static bool | WriteFileStd (const std::filesystem::path &file_name, const std::string &data)
| write file content using std struct More...
static bool | ReadFile (const QString &file_name, QByteArray &data)
| read file content More...
static bool | WriteFile (const QString &file_name, const QByteArray &data)
| write file content More...
static std::string | CalculateHash (const std::filesystem::path &file_path)

## Detailed Description

provides file operations

## Member Function Documentation

## CalculateHash()

std::string GpgFrontend::FileOperator::CalculateHash | ( | const std::filesystem::path & | file_path | ) |

static

calculate the hash of a file

Parameters

  file_path |

Returns

## ReadFile()

bool GpgFrontend::FileOperator::ReadFile | ( | const QString & | file_name,
|  | QByteArray & | data
| ) |  |

static

read file content

Parameters

  file_name | file name
  data | data read from file

Returns
  true if success
  false if failed

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

Referenced by GpgFrontend::UI::CommonUtils::SlotImportKeyFromFile().

## ReadFileStd()

bool GpgFrontend::FileOperator::ReadFileStd | ( | const std::filesystem::path & | file_name,
|  | std::string & | data
| ) |  |

static

read file content using std struct

Parameters

  file_name | file name
  data | data read from file

Returns

Referenced by GpgFrontend::DataObjectOperator::DataObjectOperator(), GpgFrontend::GpgFileOpera::DecryptFile(), GpgFrontend::GpgFileOpera::DecryptVerifyFile(), GpgFrontend::GpgFileOpera::EncryptFile(), GpgFrontend::GpgFileOpera::EncryptFileSymmetric(), GpgFrontend::GpgFileOpera::EncryptSignFile(), GpgFrontend::KeyPackageOperator::ImportKeyPackage(), GpgFrontend::GpgFileOpera::SignFile(), and GpgFrontend::GpgFileOpera::VerifyFile().

## WriteFile()

bool GpgFrontend::FileOperator::WriteFile | ( | const QString & | file_name,
|  | const QByteArray & | data
| ) |  |

static

write file content

Parameters

  file_name | file name
  data | data to write to file

Returns
  true if success
  false if failed

## WriteFileStd()

bool GpgFrontend::FileOperator::WriteFileStd | ( | const std::filesystem::path & | file_name,
|  | const std::string & | data
| ) |  |

static

write file content using std struct

Parameters

  file_name | file name
  data | data to write to file

Returns

Referenced by GpgFrontend::GpgFileOpera::DecryptFile(), GpgFrontend::GpgFileOpera::DecryptVerifyFile(), GpgFrontend::GpgFileOpera::EncryptFile(), GpgFrontend::GpgFileOpera::EncryptFileSymmetric(), GpgFrontend::GpgFileOpera::EncryptSignFile(), GpgFrontend::KeyPackageOperator::GenerateKeyPackage(), GpgFrontend::KeyPackageOperator::GeneratePassphrase(), GpgFrontend::DataObjectOperator::init_app_secure_key(), and GpgFrontend::GpgFileOpera::SignFile().

The documentation for this class was generated from the following files:

- src/core/function/FileOperator.h
- src/core/function/FileOperator.cpp